import request from '@/utils/request'

// 查询项目令号列表
export function listOrderPro(query) {
  return request({
    url: '/system/orderPro/list',
    method: 'get',
    params: query
  })
}

// 查询项目令号详细
export function getOrderPro(id) {
  return request({
    url: '/system/orderPro/' + id,
    method: 'get'
  })
}
export function processList(params) {
  return request({
    url: '/system/orderPro/processlist',  // 这里应该是 processlist，而不是 processList
    method: 'get',
    params: params  // 使用 params 来传递查询参数
  });
}

// 新增项目令号
export function addOrderPro(data) {
  return request({
    url: '/system/orderPro',
    method: 'post',
    data: data
  })
}

// 修改项目令号
export function updateOrderPro(data) {
  return request({
    url: '/system/orderPro',
    method: 'put',
    data: data
  })
}

// 删除项目令号
export function delOrderPro(id) {
  return request({
    url: '/system/orderPro/' + id,
    method: 'delete'
  })
}
